Bug 1572785 - The tool Xdebug not work from docker for develop PHP
Summary: The tool Xdebug not work from docker for develop PHP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 20:42 UTC by Luis
Modified: 2018-05-29 12:15 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:15:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Luis 2018-04-27 20:42:55 UTC
Description of problem:
The problem is when i work with xdebug installed in a docker container. The configuration of this container work perfectlly in other linux distributions how Ubuntu 16.04. I am developer PHP and i work with Fedora distribution from 19 release, and i never can work with Xdebug for projects in docker containers for debbuging PHP code.
In recent releases i had that disable the selinux to i can work with docker without problem.

Version-Release number of selected component (if applicable):
Release 26

How reproducible:
Runing a dockerfile with Xdebug configurated in the port 9000 or 9001 to debugging PHP code in Text editor how VSCode for Linux.

Steps to Reproduce:
1. Runnig docker with xdebug
2. Configure the debugger in VSCode with the port 9000 or 9001
3. With the debugger enable in VSCode, create a Breackpoint in PHP Code

Actual results:
Nothing, the debugger not work and get moving without stoping in breackpoint

Expected results:
The debugger is stop in breakcpoint configured when exist request for site web

Additional info:

Comment 1 Daniel Walsh 2018-04-28 08:11:30 UTC
Could you attach the AVC messages you are seeing when running with SELinux and Docker.

ausearch -m avc -ts recent

Comment 2 Fedora End Of Life 2018-05-03 07:53:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:15:24 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.